---
dependencies:
  - role: repo_samba4
    when: samba_role in ['dc', 'rodc']
  - role: repo_base
  - role: mkdir
  - role: rsync_server
    when:
      - samba_role == 'dc'
      - inventory_hostname == samba_primary_dc
